//FUNCTIONS TO DRIVE HD44780 based LCD

#define LCD_COMMAND     0
#define LCD_DATA	1

#define LCDclk()LCD_E=1;__delay_us(50);LCD_E=0;__delay_us(50)

void LCDinit();
//Soft Reset & Init

void LCDwrite(char,char);
//send data (LCD_DATA) or command (LCD_COMMAND) to the display

void LCDprint(char []);
//Send a string to the LCD ( char[] )

void LCDvalue8(char);
//Display the value of a CHAR

void LCDvalue16(unsigned int);
//Display the value of a INT

void LCDpos(char line, char row);
//Set the cursor position

void LCDclear();
//clear the display, and set the cursor on the first position

void LCDcustomCar(char carnumber, char * car);
//Write user defined caracters to CGRAM. Must be followed by LCDpos ou LCDhome.
//charnumber : the data bank to stock the caracter : 0 to 7
//car : char table. Each char represent 1 line. total : 7 lines.

